Hash-Based
Containers
Collaboration diagram for Hash-Based:

## Modules

| Base and Policy Classes

## Classes

class | __gnu_pbds::basic_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Resize_Policy, Store_Hash, Tag, Policy_Tl, _Alloc >
class | __gnu_pbds::cc_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Comb_Hash_Fn, Resize_Policy, Store_Hash, _Alloc >
class | __gnu_pbds::gp_hash_table< Key, Mapped, Hash_Fn, Eq_Fn, Comb_Probe_Fn, Probe_Fn, Resize_Policy, Store_Hash, _Alloc >

## Macros

#define | PB_DS_CC_HASH_BASE
#define | PB_DS_GP_HASH_BASE
#define | PB_DS_HASH_BASE

## Detailed Description